# Class AdsPrerollError

#### Hierarchy (view full)

- AdsError
  - AdsPrerollError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new AdsPrerollError(): AdsPrerollError

- #### Returns AdsPrerollError

  Inherited from AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: PrerollError = ErrorCode.PrerollError

Overrides AdsError.code

### `Readonly` description

description: "An error occured during the Ads preroll. Playback should continue." = 'An error occured during the Ads preroll. Playback should continue.'